Bug 1549644 (CVE-2017-18198)

Summary: CVE-2017-18198 libcdio: Heap-based buffer over-read in print_iso9660_recurse function in iso-info.c
Product: [Other] Security Response Reporter: Pedro Sampaio <psampaio>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: adrian, hhorak, jamartis
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20180227,reported=20180227,source=cve,cvss3=3.9/CVSS:3.0/AV:L/AC:L/PR:L/UI:R/S:U/C:L/I:N/A:L,cwe=CWE-125,fedora-all/libcdio=affected,rhel-6/libcdio=affected,rhel-7/libcdio=affected,rhel-8/libcdio=notaffected
Fixed In Version: libcdio 1.0.0 Doc Type: If docs needed, set a value
Doc Text:
A heap corruption bug was found in the way libcdio handled processing of ISO files. An attacker could potentially use this flaw to crash applications using libcdio by tricking them into processing crafted ISO files, thus resulting in local DoS.
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-08 03:41:37 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1549712, 1549713, 1553769, 1553770    
Bug Blocks: 1549715    

Description Pedro Sampaio 2018-02-27 14:56:10 UTC
A heap corruption bug was found in the way libcdio handled processing of ISO files. An attacker could potentially use this flaw to crash applications using libcdio by tricking them into processing crafted ISO files, thus resulting in local DoS.

Upstream issue:

https://savannah.gnu.org/bugs/?52265

Upstream release:

http://ftp.gnu.org/gnu/libcdio/libcdio-1.0.0.tar.gz

Comment 1 Pedro Sampaio 2018-02-27 17:08:34 UTC
Created libcdio tracking bugs for this issue:

Affects: fedora-all [bug 1549713]

Comment 7 errata-xmlrpc 2018-10-30 07:52:53 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:3246 https://access.redhat.com/errata/RHSA-2018:3246